
package com.fifa.fc;

import java.io.Serializable;
import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The abstract competition type with all basic attributes, extended by Competion and related scenarios 
 * 
 * <p>Java class for AbstractCompetitionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbstractCompetitionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="CompetitionNature" type="{http://fifa.com/fc}CompetitionNatureType" form="qualified"/>
 *         &lt;element name="System" type="{http://fifa.com/fc}CompetitionSystemType"/>
 *         &lt;element name="Logo" type="{http://fifa.com/fc}PictureType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="CompetitionFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="InternationalName" use="required" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="InternationalShortName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="OrganisationFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Season" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}SimpleStatusType" />
 *       &lt;attribute name="OrderNumber" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="DateFrom" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="DateTo" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="NumberOfParticipants" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbstractCompetitionType", propOrder = {
    "competitionNature",
    "system",
    "logo"
})
@XmlSeeAlso({
    CompetitionType.class,
    CompetitionInternational.class
})
public abstract class AbstractCompetitionType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "CompetitionNature", required = true)
    protected CompetitionNatureType competitionNature;
    @XmlElement(name = "System", required = true)
    protected CompetitionSystemType system;
    @XmlElement(name = "Logo")
    protected PictureType logo;
    @XmlAttribute(name = "CompetitionFIFAId", required = true)
    protected String competitionFIFAId;
    @XmlAttribute(name = "InternationalName", required = true)
    protected String internationalName;
    @XmlAttribute(name = "InternationalShortName")
    protected String internationalShortName;
    @XmlAttribute(name = "OrganisationFIFAId", required = true)
    protected String organisationFIFAId;
    @XmlAttribute(name = "Season", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger season;
    @XmlAttribute(name = "Status", required = true)
    protected SimpleStatusType status;
    @XmlAttribute(name = "OrderNumber")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger orderNumber;
    @XmlAttribute(name = "DateFrom")
    protected XMLGregorianCalendar dateFrom;
    @XmlAttribute(name = "DateTo")
    protected XMLGregorianCalendar dateTo;
    @XmlAttribute(name = "NumberOfParticipants")
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger numberOfParticipants;

    /**
     * Gets the value of the competitionNature property.
     * 
     * @return
     *     possible object is
     *     {@link CompetitionNatureType }
     *     
     */
    public CompetitionNatureType getCompetitionNature() {
        return competitionNature;
    }

    /**
     * Sets the value of the competitionNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link CompetitionNatureType }
     *     
     */
    public void setCompetitionNature(CompetitionNatureType value) {
        this.competitionNature = value;
    }

    /**
     * Gets the value of the system property.
     * 
     * @return
     *     possible object is
     *     {@link CompetitionSystemType }
     *     
     */
    public CompetitionSystemType getSystem() {
        return system;
    }

    /**
     * Sets the value of the system property.
     * 
     * @param value
     *     allowed object is
     *     {@link CompetitionSystemType }
     *     
     */
    public void setSystem(CompetitionSystemType value) {
        this.system = value;
    }

    /**
     * Gets the value of the logo property.
     * 
     * @return
     *     possible object is
     *     {@link PictureType }
     *     
     */
    public PictureType getLogo() {
        return logo;
    }

    /**
     * Sets the value of the logo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PictureType }
     *     
     */
    public void setLogo(PictureType value) {
        this.logo = value;
    }

    /**
     * Gets the value of the competitionFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompetitionFIFAId() {
        return competitionFIFAId;
    }

    /**
     * Sets the value of the competitionFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompetitionFIFAId(String value) {
        this.competitionFIFAId = value;
    }

    /**
     * Gets the value of the internationalName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalName() {
        return internationalName;
    }

    /**
     * Sets the value of the internationalName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalName(String value) {
        this.internationalName = value;
    }

    /**
     * Gets the value of the internationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalShortName() {
        return internationalShortName;
    }

    /**
     * Sets the value of the internationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalShortName(String value) {
        this.internationalShortName = value;
    }

    /**
     * Gets the value of the organisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationFIFAId() {
        return organisationFIFAId;
    }

    /**
     * Sets the value of the organisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationFIFAId(String value) {
        this.organisationFIFAId = value;
    }

    /**
     * Gets the value of the season property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getSeason() {
        return season;
    }

    /**
     * Sets the value of the season property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setSeason(BigInteger value) {
        this.season = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleStatusType }
     *     
     */
    public SimpleStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleStatusType }
     *     
     */
    public void setStatus(SimpleStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the orderNumber property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getOrderNumber() {
        return orderNumber;
    }

    /**
     * Sets the value of the orderNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setOrderNumber(BigInteger value) {
        this.orderNumber = value;
    }

    /**
     * Gets the value of the dateFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateFrom() {
        return dateFrom;
    }

    /**
     * Sets the value of the dateFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateFrom(XMLGregorianCalendar value) {
        this.dateFrom = value;
    }

    /**
     * Gets the value of the dateTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTo() {
        return dateTo;
    }

    /**
     * Sets the value of the dateTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTo(XMLGregorianCalendar value) {
        this.dateTo = value;
    }

    /**
     * Gets the value of the numberOfParticipants property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNumberOfParticipants() {
        return numberOfParticipants;
    }

    /**
     * Sets the value of the numberOfParticipants property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNumberOfParticipants(BigInteger value) {
        this.numberOfParticipants = value;
    }

}
