
package com.fifa.fc;

import java.io.Serializable;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The abstract match report data
 * 
 * <p>Java class for AbstractMatchType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AbstractMatchType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Phase" type="{http://fifa.com/fc}MatchPhaseType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="MatchEvent" type="{http://fifa.com/fc}MatchEventType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="MatchFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}MatchStatusType" />
 *       &lt;attribute name="DateTimeLocal" type="{http://fifa.com/fc}DateTime" />
 *       &lt;attribute name="Matchday" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="Attendance" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AbstractMatchType", propOrder = {
    "phases",
    "matchEvents"
})
@XmlSeeAlso({
    MatchType.class,
    MatchInternationalType.class
})
public class AbstractMatchType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "Phase")
    protected List<MatchPhaseType> phases;
    @XmlElement(name = "MatchEvent")
    protected List<MatchEventType> matchEvents;
    @XmlAttribute(name = "MatchFIFAId", required = true)
    protected String matchFIFAId;
    @XmlAttribute(name = "Status", required = true)
    protected MatchStatusType status;
    @XmlAttribute(name = "DateTimeLocal")
    protected XMLGregorianCalendar dateTimeLocal;
    @XmlAttribute(name = "Matchday")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger matchday;
    @XmlAttribute(name = "Attendance")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger attendance;

    /**
     * Gets the value of the phases property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the phases property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPhases().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MatchPhaseType }
     * 
     * 
     */
    public List<MatchPhaseType> getPhases() {
        if (phases == null) {
            phases = new ArrayList<MatchPhaseType>();
        }
        return this.phases;
    }

    /**
     * Gets the value of the matchEvents property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the matchEvents property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getMatchEvents().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MatchEventType }
     * 
     * 
     */
    public List<MatchEventType> getMatchEvents() {
        if (matchEvents == null) {
            matchEvents = new ArrayList<MatchEventType>();
        }
        return this.matchEvents;
    }

    /**
     * Gets the value of the matchFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMatchFIFAId() {
        return matchFIFAId;
    }

    /**
     * Sets the value of the matchFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMatchFIFAId(String value) {
        this.matchFIFAId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link MatchStatusType }
     *     
     */
    public MatchStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchStatusType }
     *     
     */
    public void setStatus(MatchStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the dateTimeLocal property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTimeLocal() {
        return dateTimeLocal;
    }

    /**
     * Sets the value of the dateTimeLocal property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTimeLocal(XMLGregorianCalendar value) {
        this.dateTimeLocal = value;
    }

    /**
     * Gets the value of the matchday property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMatchday() {
        return matchday;
    }

    /**
     * Sets the value of the matchday property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMatchday(BigInteger value) {
        this.matchday = value;
    }

    /**
     * Gets the value of the attendance property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAttendance() {
        return attendance;
    }

    /**
     * Sets the value of the attendance property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAttendance(BigInteger value) {
        this.attendance = value;
    }

}
