
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * This represents a generic person certification and its attributes. A person certification is assigned to a person. A person certification defines a specific certificate which person has in the given validity period. 
 * 			
 * 
 * <p>Java class for CertificationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CertificationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}SimpleStatusType" />
 *       &lt;attribute name="CertificationValidFrom" use="required" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="CertificationValidTo" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="Description" type="{http://fifa.com/fc}String" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CertificationType")
@XmlSeeAlso({
    MatchOfficialCertificationType.class,
    TeamOfficialCertificationType.class
})
public class CertificationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "Status", required = true)
    protected SimpleStatusType status;
    @XmlAttribute(name = "CertificationValidFrom", required = true)
    protected XMLGregorianCalendar certificationValidFrom;
    @XmlAttribute(name = "CertificationValidTo")
    protected XMLGregorianCalendar certificationValidTo;
    @XmlAttribute(name = "Description")
    protected String description;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleStatusType }
     *     
     */
    public SimpleStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleStatusType }
     *     
     */
    public void setStatus(SimpleStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the certificationValidFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCertificationValidFrom() {
        return certificationValidFrom;
    }

    /**
     * Sets the value of the certificationValidFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCertificationValidFrom(XMLGregorianCalendar value) {
        this.certificationValidFrom = value;
    }

    /**
     * Gets the value of the certificationValidTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getCertificationValidTo() {
        return certificationValidTo;
    }

    /**
     * Sets the value of the certificationValidTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setCertificationValidTo(XMLGregorianCalendar value) {
        this.certificationValidTo = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

}
