
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * The definition of nature of the competition, including name of the competition, unique id, sport/discipline, age category, gender of players, type of participating teams
 * 
 * <p>Java class for CompetitionNatureType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CompetitionNatureType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="CompetitionFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="InternationalName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="InternationalShortName" use="required" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="TeamCharacter" use="required" type="{http://fifa.com/fc}CompetitionTeamCharacterType" />
 *       &lt;attribute name="Discipline" use="required" type="{http://fifa.com/fc}DisciplineType" />
 *       &lt;attribute name="AgeCategory" use="required" type="{http://fifa.com/fc}AgeCategoryNatureType" />
 *       &lt;attribute name="AgeCategoryName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="Gender" type="{http://fifa.com/fc}GenderType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CompetitionNatureType")
public class CompetitionNatureType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "CompetitionFIFAId", required = true)
    protected String competitionFIFAId;
    @XmlAttribute(name = "InternationalName")
    protected String internationalName;
    @XmlAttribute(name = "InternationalShortName", required = true)
    protected String internationalShortName;
    @XmlAttribute(name = "TeamCharacter", required = true)
    protected CompetitionTeamCharacterType teamCharacter;
    @XmlAttribute(name = "Discipline", required = true)
    protected DisciplineType discipline;
    @XmlAttribute(name = "AgeCategory", required = true)
    protected AgeCategoryNatureType ageCategory;
    @XmlAttribute(name = "AgeCategoryName")
    protected String ageCategoryName;
    @XmlAttribute(name = "Gender")
    protected GenderType gender;

    /**
     * Gets the value of the competitionFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCompetitionFIFAId() {
        return competitionFIFAId;
    }

    /**
     * Sets the value of the competitionFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCompetitionFIFAId(String value) {
        this.competitionFIFAId = value;
    }

    /**
     * Gets the value of the internationalName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalName() {
        return internationalName;
    }

    /**
     * Sets the value of the internationalName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalName(String value) {
        this.internationalName = value;
    }

    /**
     * Gets the value of the internationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalShortName() {
        return internationalShortName;
    }

    /**
     * Sets the value of the internationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalShortName(String value) {
        this.internationalShortName = value;
    }

    /**
     * Gets the value of the teamCharacter property.
     * 
     * @return
     *     possible object is
     *     {@link CompetitionTeamCharacterType }
     *     
     */
    public CompetitionTeamCharacterType getTeamCharacter() {
        return teamCharacter;
    }

    /**
     * Sets the value of the teamCharacter property.
     * 
     * @param value
     *     allowed object is
     *     {@link CompetitionTeamCharacterType }
     *     
     */
    public void setTeamCharacter(CompetitionTeamCharacterType value) {
        this.teamCharacter = value;
    }

    /**
     * Gets the value of the discipline property.
     * 
     * @return
     *     possible object is
     *     {@link DisciplineType }
     *     
     */
    public DisciplineType getDiscipline() {
        return discipline;
    }

    /**
     * Sets the value of the discipline property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisciplineType }
     *     
     */
    public void setDiscipline(DisciplineType value) {
        this.discipline = value;
    }

    /**
     * Gets the value of the ageCategory property.
     * 
     * @return
     *     possible object is
     *     {@link AgeCategoryNatureType }
     *     
     */
    public AgeCategoryNatureType getAgeCategory() {
        return ageCategory;
    }

    /**
     * Sets the value of the ageCategory property.
     * 
     * @param value
     *     allowed object is
     *     {@link AgeCategoryNatureType }
     *     
     */
    public void setAgeCategory(AgeCategoryNatureType value) {
        this.ageCategory = value;
    }

    /**
     * Gets the value of the ageCategoryName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgeCategoryName() {
        return ageCategoryName;
    }

    /**
     * Sets the value of the ageCategoryName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgeCategoryName(String value) {
        this.ageCategoryName = value;
    }

    /**
     * Gets the value of the gender property.
     * 
     * @return
     *     possible object is
     *     {@link GenderType }
     *     
     */
    public GenderType getGender() {
        return gender;
    }

    /**
     * Sets the value of the gender property.
     * 
     * @param value
     *     allowed object is
     *     {@link GenderType }
     *     
     */
    public void setGender(GenderType value) {
        this.gender = value;
    }

}
