
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CompetitionSystemNatureType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CompetitionSystemNatureType">
 *   &lt;restriction base="{http://fifa.com/fc}String">
 *     &lt;enumeration value="Elimination"/>
 *     &lt;enumeration value="Round robin"/>
 *     &lt;enumeration value="Combination"/>
 *     &lt;enumeration value="Other"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CompetitionSystemNatureType")
@XmlEnum
public enum CompetitionSystemNatureType {


    /**
     * An eliminatory system, e.g. Cup, or Playoff
     * 
     */
    @XmlEnumValue("Elimination")
    ELIMINATION("Elimination"),

    /**
     * An round robin system, e.g. a National League, or Tournament Group 
     * 
     */
    @XmlEnumValue("Round robin")
    ROUND_ROBIN("Round robin"),

    /**
     * A combination of sub-competitions/elements. A competition with this system does not contain matches. It contains elements/sub-competitions. E.g. UEFA Champions League is a combination. It does not contain matches, but contains several sub-competitions/elements which contain matches, e.g. Qualifying Round, Group Stage, Final Stage.
     * 					
     * 
     */
    @XmlEnumValue("Combination")
    COMBINATION("Combination"),

    /**
     * Any other predefined, non standard competition system.
     * 
     */
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    CompetitionSystemNatureType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CompetitionSystemNatureType fromValue(String v) {
        for (CompetitionSystemNatureType c: CompetitionSystemNatureType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
