
package com.fifa.fc;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * An element which contains competition team data - players and team staff registered for that competition
 * 
 * <p>Java class for CompetitionTeamType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CompetitionTeamType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="PlayerFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="TeamOfficialFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="TeamFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="OrganisationFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CompetitionTeamType", propOrder = {
    "playerFIFAIds",
    "teamOfficialFIFAIds"
})
public class CompetitionTeamType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "PlayerFIFAId", nillable = true)
    protected List<String> playerFIFAIds;
    @XmlElement(name = "TeamOfficialFIFAId", nillable = true)
    protected List<String> teamOfficialFIFAIds;
    @XmlAttribute(name = "TeamFIFAId")
    protected String teamFIFAId;
    @XmlAttribute(name = "OrganisationFIFAId", required = true)
    protected String organisationFIFAId;

    /**
     * Gets the value of the playerFIFAIds property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the playerFIFAIds property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPlayerFIFAIds().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getPlayerFIFAIds() {
        if (playerFIFAIds == null) {
            playerFIFAIds = new ArrayList<String>();
        }
        return this.playerFIFAIds;
    }

    /**
     * Gets the value of the teamOfficialFIFAIds property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the teamOfficialFIFAIds property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTeamOfficialFIFAIds().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     */
    public List<String> getTeamOfficialFIFAIds() {
        if (teamOfficialFIFAIds == null) {
            teamOfficialFIFAIds = new ArrayList<String>();
        }
        return this.teamOfficialFIFAIds;
    }

    /**
     * Gets the value of the teamFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTeamFIFAId() {
        return teamFIFAId;
    }

    /**
     * Sets the value of the teamFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTeamFIFAId(String value) {
        this.teamFIFAId = value;
    }

    /**
     * Gets the value of the organisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationFIFAId() {
        return organisationFIFAId;
    }

    /**
     * Sets the value of the organisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationFIFAId(String value) {
        this.organisationFIFAId = value;
    }

}
