
package com.fifa.fc;

import java.io.Serializable;
import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * This represents a field. A field is a special facility allowing football matches to take place.
 * 
 * <p>Java class for FieldType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FieldType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="OrderNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}positiveInteger" />
 *       &lt;attribute name="Discipline" use="required" type="{http://fifa.com/fc}DisciplineType" />
 *       &lt;attribute name="Capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="GroundNature" use="required" type="{http://fifa.com/fc}GroundNatureType" />
 *       &lt;attribute name="Length" type="{http://www.w3.org/2001/XMLSchema}float" />
 *       &lt;attribute name="Width" type="{http://www.w3.org/2001/XMLSchema}float" />
 *       &lt;attribute name="Latitude" type="{http://www.w3.org/2001/XMLSchema}float" />
 *       &lt;attribute name="Longitude" type="{http://www.w3.org/2001/XMLSchema}float" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FieldType")
public class FieldType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "OrderNumber", required = true)
    @XmlSchemaType(name = "positiveInteger")
    protected BigInteger orderNumber;
    @XmlAttribute(name = "Discipline", required = true)
    protected DisciplineType discipline;
    @XmlAttribute(name = "Capacity", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger capacity;
    @XmlAttribute(name = "GroundNature", required = true)
    protected GroundNatureType groundNature;
    @XmlAttribute(name = "Length")
    protected Float length;
    @XmlAttribute(name = "Width")
    protected Float width;
    @XmlAttribute(name = "Latitude")
    protected Float latitude;
    @XmlAttribute(name = "Longitude")
    protected Float longitude;

    /**
     * Gets the value of the orderNumber property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getOrderNumber() {
        return orderNumber;
    }

    /**
     * Sets the value of the orderNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setOrderNumber(BigInteger value) {
        this.orderNumber = value;
    }

    /**
     * Gets the value of the discipline property.
     * 
     * @return
     *     possible object is
     *     {@link DisciplineType }
     *     
     */
    public DisciplineType getDiscipline() {
        return discipline;
    }

    /**
     * Sets the value of the discipline property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisciplineType }
     *     
     */
    public void setDiscipline(DisciplineType value) {
        this.discipline = value;
    }

    /**
     * Gets the value of the capacity property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getCapacity() {
        return capacity;
    }

    /**
     * Sets the value of the capacity property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setCapacity(BigInteger value) {
        this.capacity = value;
    }

    /**
     * Gets the value of the groundNature property.
     * 
     * @return
     *     possible object is
     *     {@link GroundNatureType }
     *     
     */
    public GroundNatureType getGroundNature() {
        return groundNature;
    }

    /**
     * Sets the value of the groundNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link GroundNatureType }
     *     
     */
    public void setGroundNature(GroundNatureType value) {
        this.groundNature = value;
    }

    /**
     * Gets the value of the length property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getLength() {
        return length;
    }

    /**
     * Sets the value of the length property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLength(Float value) {
        this.length = value;
    }

    /**
     * Gets the value of the width property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getWidth() {
        return width;
    }

    /**
     * Sets the value of the width property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setWidth(Float value) {
        this.width = value;
    }

    /**
     * Gets the value of the latitude property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getLatitude() {
        return latitude;
    }

    /**
     * Sets the value of the latitude property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLatitude(Float value) {
        this.latitude = value;
    }

    /**
     * Gets the value of the longitude property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getLongitude() {
        return longitude;
    }

    /**
     * Sets the value of the longitude property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setLongitude(Float value) {
        this.longitude = value;
    }

}
