
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MatchEventNatureType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="MatchEventNatureType">
 *   &lt;restriction base="{http://fifa.com/fc}String">
 *     &lt;enumeration value="Substitution"/>
 *     &lt;enumeration value="Yellow"/>
 *     &lt;enumeration value="2ndYellow"/>
 *     &lt;enumeration value="Red"/>
 *     &lt;enumeration value="Expulsion"/>
 *     &lt;enumeration value="Goal"/>
 *     &lt;enumeration value="OwnGoal"/>
 *     &lt;enumeration value="PenaltyGoal"/>
 *     &lt;enumeration value="PenaltyFailed"/>
 *     &lt;enumeration value="AccumulatedFoul"/>
 *     &lt;enumeration value="TimeOut"/>
 *     &lt;enumeration value="Penalty6Goal"/>
 *     &lt;enumeration value="Penalty6Failed"/>
 *     &lt;enumeration value="Penalty10Goal"/>
 *     &lt;enumeration value="Penalty10Failed"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "MatchEventNatureType")
@XmlEnum
public enum MatchEventNatureType {


    /**
     * The substitution event - in case substitution is represented as one match event with two match role.
     * 
     */
    @XmlEnumValue("Substitution")
    SUBSTITUTION("Substitution"),

    /**
     * Yellow Card.
     * 
     */
    @XmlEnumValue("Yellow")
    YELLOW("Yellow"),
    @XmlEnumValue("2ndYellow")
    SECOND_YELLOW("2ndYellow"),

    /**
     * Red card.
     * 
     */
    @XmlEnumValue("Red")
    RED("Red"),

    /**
     * Expulsion of team official.
     * 
     */
    @XmlEnumValue("Expulsion")
    EXPULSION("Expulsion"),

    /**
     * A player shot a goal.
     * 
     */
    @XmlEnumValue("Goal")
    GOAL("Goal"),

    /**
     * A player's own goal.
     * 
     */
    @XmlEnumValue("OwnGoal")
    OWN_GOAL("OwnGoal"),

    /**
     * A player shot a goal with a penalty.
     * 
     */
    @XmlEnumValue("PenaltyGoal")
    PENALTY_GOAL("PenaltyGoal"),

    /**
     * A player shot no goal with a penalty.
     * 
     */
    @XmlEnumValue("PenaltyFailed")
    PENALTY_FAILED("PenaltyFailed"),

    /**
     * Accumulated foul.(FUTSAL)
     * 
     */
    @XmlEnumValue("AccumulatedFoul")
    ACCUMULATED_FOUL("AccumulatedFoul"),

    /**
     * Team time-out.(FUTSAL)
     * 
     */
    @XmlEnumValue("TimeOut")
    TIME_OUT("TimeOut"),

    /**
     * A player shot a goal with a penalty from 6m mark.(FUTSAL)
     * 
     */
    @XmlEnumValue("Penalty6Goal")
    PENALTY_6_GOAL("Penalty6Goal"),

    /**
     * A player shot no goal with a penalty from 6m mark.(FUTSAL)
     * 
     */
    @XmlEnumValue("Penalty6Failed")
    PENALTY_6_FAILED("Penalty6Failed"),

    /**
     * A player shot a goal with a penalty from 10m mark.(FUTSAL)
     * 
     */
    @XmlEnumValue("Penalty10Goal")
    PENALTY_10_GOAL("Penalty10Goal"),

    /**
     * A player shot no goal with a penalty from 10m mark.(FUTSAL)
     * 
     */
    @XmlEnumValue("Penalty10Failed")
    PENALTY_10_FAILED("Penalty10Failed");
    private final String value;

    MatchEventNatureType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MatchEventNatureType fromValue(String v) {
        for (MatchEventNatureType c: MatchEventNatureType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
