
package com.fifa.fc;

import java.io.Serializable;
import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * This represents a match event. Every event on the pitch can be represented as a MatchEvent. Typical examples of MatchEvents are goals and substitutions.
 * 
 * <p>Java class for MatchEventType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MatchEventType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="MatchPhase" use="required" type="{http://fifa.com/fc}MatchPhaseNatureType" />
 *       &lt;attribute name="Minute" use="required" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="StoppageTime" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="EventType" use="required" type="{http://fifa.com/fc}MatchEventNatureType" />
 *       &lt;attribute name="EventDetailType" type="{http://fifa.com/fc}MatchEventDetailNatureType" />
 *       &lt;attribute name="PlayerFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="TeamOfficialFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="PlayerFIFAId2" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="MatchTeam" type="{http://fifa.com/fc}MatchTeamNatureType" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MatchEventType")
@XmlSeeAlso({
    MatchEventDetailType.class
})
public class MatchEventType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "MatchPhase", required = true)
    protected MatchPhaseNatureType matchPhase;
    @XmlAttribute(name = "Minute", required = true)
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger minute;
    @XmlAttribute(name = "StoppageTime")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger stoppageTime;
    @XmlAttribute(name = "EventType", required = true)
    protected MatchEventNatureType eventType;
    @XmlAttribute(name = "EventDetailType")
    protected MatchEventDetailNatureType eventDetailType;
    @XmlAttribute(name = "PlayerFIFAId")
    protected String playerFIFAId;
    @XmlAttribute(name = "TeamOfficialFIFAId")
    protected String teamOfficialFIFAId;
    @XmlAttribute(name = "PlayerFIFAId2")
    protected String playerFIFAId2;
    @XmlAttribute(name = "MatchTeam")
    protected MatchTeamNatureType matchTeam;

    /**
     * Gets the value of the matchPhase property.
     * 
     * @return
     *     possible object is
     *     {@link MatchPhaseNatureType }
     *     
     */
    public MatchPhaseNatureType getMatchPhase() {
        return matchPhase;
    }

    /**
     * Sets the value of the matchPhase property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchPhaseNatureType }
     *     
     */
    public void setMatchPhase(MatchPhaseNatureType value) {
        this.matchPhase = value;
    }

    /**
     * Gets the value of the minute property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMinute() {
        return minute;
    }

    /**
     * Sets the value of the minute property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMinute(BigInteger value) {
        this.minute = value;
    }

    /**
     * Gets the value of the stoppageTime property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getStoppageTime() {
        return stoppageTime;
    }

    /**
     * Sets the value of the stoppageTime property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setStoppageTime(BigInteger value) {
        this.stoppageTime = value;
    }

    /**
     * Gets the value of the eventType property.
     * 
     * @return
     *     possible object is
     *     {@link MatchEventNatureType }
     *     
     */
    public MatchEventNatureType getEventType() {
        return eventType;
    }

    /**
     * Sets the value of the eventType property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchEventNatureType }
     *     
     */
    public void setEventType(MatchEventNatureType value) {
        this.eventType = value;
    }

    /**
     * Gets the value of the eventDetailType property.
     * 
     * @return
     *     possible object is
     *     {@link MatchEventDetailNatureType }
     *     
     */
    public MatchEventDetailNatureType getEventDetailType() {
        return eventDetailType;
    }

    /**
     * Sets the value of the eventDetailType property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchEventDetailNatureType }
     *     
     */
    public void setEventDetailType(MatchEventDetailNatureType value) {
        this.eventDetailType = value;
    }

    /**
     * Gets the value of the playerFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlayerFIFAId() {
        return playerFIFAId;
    }

    /**
     * Sets the value of the playerFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlayerFIFAId(String value) {
        this.playerFIFAId = value;
    }

    /**
     * Gets the value of the teamOfficialFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTeamOfficialFIFAId() {
        return teamOfficialFIFAId;
    }

    /**
     * Sets the value of the teamOfficialFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTeamOfficialFIFAId(String value) {
        this.teamOfficialFIFAId = value;
    }

    /**
     * Gets the value of the playerFIFAId2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPlayerFIFAId2() {
        return playerFIFAId2;
    }

    /**
     * Sets the value of the playerFIFAId2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlayerFIFAId2(String value) {
        this.playerFIFAId2 = value;
    }

    /**
     * Gets the value of the matchTeam property.
     * 
     * @return
     *     possible object is
     *     {@link MatchTeamNatureType }
     *     
     */
    public MatchTeamNatureType getMatchTeam() {
        return matchTeam;
    }

    /**
     * Sets the value of the matchTeam property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchTeamNatureType }
     *     
     */
    public void setMatchTeam(MatchTeamNatureType value) {
        this.matchTeam = value;
    }

}
