
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * This represents match official (e.g. Referee) registration and its attributes. A match official registration is assigned to a person. A match official registration marks a person as a match official for an organisation and the given validity period.
 * 
 * <p>Java class for MatchOfficialRegistrationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MatchOfficialRegistrationType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://fifa.com/fc}RegistrationType">
 *       &lt;attribute name="MatchOfficialRole" use="required" type="{http://fifa.com/fc}MatchOfficialRoleType" />
 *       &lt;attribute name="Discipline" use="required" type="{http://fifa.com/fc}DisciplineType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MatchOfficialRegistrationType")
public class MatchOfficialRegistrationType
    extends RegistrationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "MatchOfficialRole", required = true)
    protected MatchOfficialRoleType matchOfficialRole;
    @XmlAttribute(name = "Discipline", required = true)
    protected DisciplineType discipline;

    /**
     * Gets the value of the matchOfficialRole property.
     * 
     * @return
     *     possible object is
     *     {@link MatchOfficialRoleType }
     *     
     */
    public MatchOfficialRoleType getMatchOfficialRole() {
        return matchOfficialRole;
    }

    /**
     * Sets the value of the matchOfficialRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchOfficialRoleType }
     *     
     */
    public void setMatchOfficialRole(MatchOfficialRoleType value) {
        this.matchOfficialRole = value;
    }

    /**
     * Gets the value of the discipline property.
     * 
     * @return
     *     possible object is
     *     {@link DisciplineType }
     *     
     */
    public DisciplineType getDiscipline() {
        return discipline;
    }

    /**
     * Sets the value of the discipline property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisciplineType }
     *     
     */
    public void setDiscipline(DisciplineType value) {
        this.discipline = value;
    }

}
