
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * This type contains information about a match official participating in a match. The MatchOfficial contains data that might be valid only during a match; therefore it is considered transitive and not persistent.
 * 
 * <p>Java class for MatchOfficialType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MatchOfficialType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="PersonFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Role" use="required" type="{http://fifa.com/fc}MatchOfficialRoleNatureType" />
 *       &lt;attribute name="RoleDescription" type="{http://fifa.com/fc}String" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MatchOfficialType")
@XmlSeeAlso({
    MatchOfficialInternationalType.class
})
public class MatchOfficialType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "PersonFIFAId", required = true)
    protected String personFIFAId;
    @XmlAttribute(name = "Role", required = true)
    protected MatchOfficialRoleNatureType role;
    @XmlAttribute(name = "RoleDescription")
    protected String roleDescription;

    /**
     * Gets the value of the personFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonFIFAId() {
        return personFIFAId;
    }

    /**
     * Sets the value of the personFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonFIFAId(String value) {
        this.personFIFAId = value;
    }

    /**
     * Gets the value of the role property.
     * 
     * @return
     *     possible object is
     *     {@link MatchOfficialRoleNatureType }
     *     
     */
    public MatchOfficialRoleNatureType getRole() {
        return role;
    }

    /**
     * Sets the value of the role property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchOfficialRoleNatureType }
     *     
     */
    public void setRole(MatchOfficialRoleNatureType value) {
        this.role = value;
    }

    /**
     * Gets the value of the roleDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoleDescription() {
        return roleDescription;
    }

    /**
     * Sets the value of the roleDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoleDescription(String value) {
        this.roleDescription = value;
    }

}
