
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * This type contains information about a player participating in a match. The information (e.g. position) provided here are considered to be true at the initial line-up. Changes to this data (e.g. the line-up) during the match can be found in the MatchEvents. The MatchPlayer contains data that might be valid only during a match; therefore it is considered transitive and not persistent.
 * 
 * <p>Java class for MatchPlayerInternationalType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MatchPlayerInternationalType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://fifa.com/fc}MatchPlayerType">
 *       &lt;attribute name="InternationalFirstName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="InternationalLastName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="DateOfBirth" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="MemberAssociation" type="{http://fifa.com/fc}FIFANationalityType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MatchPlayerInternationalType")
public class MatchPlayerInternationalType
    extends MatchPlayerType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "InternationalFirstName")
    protected String internationalFirstName;
    @XmlAttribute(name = "InternationalLastName")
    protected String internationalLastName;
    @XmlAttribute(name = "DateOfBirth")
    protected XMLGregorianCalendar dateOfBirth;
    @XmlAttribute(name = "MemberAssociation")
    protected FIFANationalityType memberAssociation;

    /**
     * Gets the value of the internationalFirstName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalFirstName() {
        return internationalFirstName;
    }

    /**
     * Sets the value of the internationalFirstName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalFirstName(String value) {
        this.internationalFirstName = value;
    }

    /**
     * Gets the value of the internationalLastName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalLastName() {
        return internationalLastName;
    }

    /**
     * Sets the value of the internationalLastName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalLastName(String value) {
        this.internationalLastName = value;
    }

    /**
     * Gets the value of the dateOfBirth property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateOfBirth() {
        return dateOfBirth;
    }

    /**
     * Sets the value of the dateOfBirth property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateOfBirth(XMLGregorianCalendar value) {
        this.dateOfBirth = value;
    }

    /**
     * Gets the value of the memberAssociation property.
     * 
     * @return
     *     possible object is
     *     {@link FIFANationalityType }
     *     
     */
    public FIFANationalityType getMemberAssociation() {
        return memberAssociation;
    }

    /**
     * Sets the value of the memberAssociation property.
     * 
     * @param value
     *     allowed object is
     *     {@link FIFANationalityType }
     *     
     */
    public void setMemberAssociation(FIFANationalityType value) {
        this.memberAssociation = value;
    }

}
