
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MatchStatusType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="MatchStatusType">
 *   &lt;restriction base="{http://fifa.com/fc}String">
 *     &lt;enumeration value="toSchedule"/>
 *     &lt;enumeration value="Scheduled"/>
 *     &lt;enumeration value="Postponed"/>
 *     &lt;enumeration value="Running"/>
 *     &lt;enumeration value="Cancelled"/>
 *     &lt;enumeration value="Played"/>
 *     &lt;enumeration value="Officialised"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "MatchStatusType")
@XmlEnum
public enum MatchStatusType {


    /**
     * The match is not yet scheduled.
     * 
     */
    @XmlEnumValue("toSchedule")
    TO_SCHEDULE("toSchedule"),

    /**
     * The match is planned to take place.
     * 
     */
    @XmlEnumValue("Scheduled")
    SCHEDULED("Scheduled"),

    /**
     * The match is postponed
     * 
     */
    @XmlEnumValue("Postponed")
    POSTPONED("Postponed"),

    /**
     * The match is running.
     * 
     */
    @XmlEnumValue("Running")
    RUNNING("Running"),

    /**
     * The match was cancelled.
     * 
     */
    @XmlEnumValue("Cancelled")
    CANCELLED("Cancelled"),

    /**
     * The match has terminated and is finished.
     * 
     */
    @XmlEnumValue("Played")
    PLAYED("Played"),

    /**
     * The match has finished and the results are official.
     * 
     */
    @XmlEnumValue("Officialised")
    OFFICIALISED("Officialised");
    private final String value;

    MatchStatusType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MatchStatusType fromValue(String v) {
        for (MatchStatusType c: MatchStatusType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
