
package com.fifa.fc;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * This type contains information about a team participating in a competition or match.
 * 
 * <p>Java class for MatchTeamType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MatchTeamType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Player" type="{http://fifa.com/fc}MatchPlayerType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="TeamOfficial" type="{http://fifa.com/fc}TeamOfficialType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="TeamNature" use="required" type="{http://fifa.com/fc}MatchTeamNatureType" />
 *       &lt;attribute name="OrganisationFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="TeamFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MatchTeamType", propOrder = {
    "players",
    "teamOfficials"
})
public class MatchTeamType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "Player")
    protected List<MatchPlayerType> players;
    @XmlElement(name = "TeamOfficial")
    protected List<TeamOfficialType> teamOfficials;
    @XmlAttribute(name = "TeamNature", required = true)
    protected MatchTeamNatureType teamNature;
    @XmlAttribute(name = "OrganisationFIFAId", required = true)
    protected String organisationFIFAId;
    @XmlAttribute(name = "TeamFIFAId")
    protected String teamFIFAId;

    /**
     * Gets the value of the players property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the players property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPlayers().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link MatchPlayerType }
     * 
     * 
     */
    public List<MatchPlayerType> getPlayers() {
        if (players == null) {
            players = new ArrayList<MatchPlayerType>();
        }
        return this.players;
    }

    /**
     * Gets the value of the teamOfficials property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the teamOfficials property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTeamOfficials().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TeamOfficialType }
     * 
     * 
     */
    public List<TeamOfficialType> getTeamOfficials() {
        if (teamOfficials == null) {
            teamOfficials = new ArrayList<TeamOfficialType>();
        }
        return this.teamOfficials;
    }

    /**
     * Gets the value of the teamNature property.
     * 
     * @return
     *     possible object is
     *     {@link MatchTeamNatureType }
     *     
     */
    public MatchTeamNatureType getTeamNature() {
        return teamNature;
    }

    /**
     * Sets the value of the teamNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchTeamNatureType }
     *     
     */
    public void setTeamNature(MatchTeamNatureType value) {
        this.teamNature = value;
    }

    /**
     * Gets the value of the organisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationFIFAId() {
        return organisationFIFAId;
    }

    /**
     * Sets the value of the organisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationFIFAId(String value) {
        this.organisationFIFAId = value;
    }

    /**
     * Gets the value of the teamFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTeamFIFAId() {
        return teamFIFAId;
    }

    /**
     * Sets the value of the teamFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTeamFIFAId(String value) {
        this.teamFIFAId = value;
    }

}
