
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for NationalIdentifierNatureType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="NationalIdentifierNatureType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PassportNumber"/>
 *     &lt;enumeration value="SocialSecurityNumber"/>
 *     &lt;enumeration value="BirthCertificate"/>
 *     &lt;enumeration value="TaxID"/>
 *     &lt;enumeration value="PersonalID"/>
 *     &lt;enumeration value="NationalSystemID"/>
 *     &lt;enumeration value="ContinentalSystemID"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "NationalIdentifierNatureType")
@XmlEnum
public enum NationalIdentifierNatureType {


    /**
     * The Number of Passport/Travel Document of a Person.
     * 
     */
    @XmlEnumValue("PassportNumber")
    PASSPORT_NUMBER("PassportNumber"),

    /**
     * The Social Security Number, used as unique national identifier in some countries.
     * 
     */
    @XmlEnumValue("SocialSecurityNumber")
    SOCIAL_SECURITY_NUMBER("SocialSecurityNumber"),

    /**
     * A Person's birth certificate.
     * 
     */
    @XmlEnumValue("BirthCertificate")
    BIRTH_CERTIFICATE("BirthCertificate"),

    /**
     * A Tax Identifier, used as unique national identifier in some countries (e.g. VAT number).
     * 
     */
    @XmlEnumValue("TaxID")
    TAX_ID("TaxID"),

    /**
     * A Personal Identifier, shown on ID Cards, used as unique national identifier in some countries.
     * 
     */
    @XmlEnumValue("PersonalID")
    PERSONAL_ID("PersonalID"),

    /**
     * The ID of the Person/Organisation in the national association's source system, e.g. Football Management System used in a specific country.
     * 
     */
    @XmlEnumValue("NationalSystemID")
    NATIONAL_SYSTEM_ID("NationalSystemID"),

    /**
     * The ID of the Person/Organisation in the continental organisation's source system, e.g. UEFA Fame. For UEFA, country will be Switzerland
     * 
     */
    @XmlEnumValue("ContinentalSystemID")
    CONTINENTAL_SYSTEM_ID("ContinentalSystemID");
    private final String value;

    NationalIdentifierNatureType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static NationalIdentifierNatureType fromValue(String v) {
        for (NationalIdentifierNatureType c: NationalIdentifierNatureType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
