
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The National identifier of a person. This entity can be used to specify any person's unique national identifier (issued by a country institution), like passport number, or social security number.
 * 
 * <p>Java class for NationalIdentifierType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NationalIdentifierType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="Identifier" use="required" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="NationalIdentifierNature" use="required" type="{http://fifa.com/fc}NationalIdentifierNatureType" />
 *       &lt;attribute name="Country" use="required" type="{http://fifa.com/fc}ISO3166CountryCode" />
 *       &lt;attribute name="DateFrom" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="DateTo" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="Description" type="{http://fifa.com/fc}String" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NationalIdentifierType")
public class NationalIdentifierType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "Identifier", required = true)
    protected String identifier;
    @XmlAttribute(name = "NationalIdentifierNature", required = true)
    protected NationalIdentifierNatureType nationalIdentifierNature;
    @XmlAttribute(name = "Country", required = true)
    protected ISO3166CountryCode country;
    @XmlAttribute(name = "DateFrom")
    protected XMLGregorianCalendar dateFrom;
    @XmlAttribute(name = "DateTo")
    protected XMLGregorianCalendar dateTo;
    @XmlAttribute(name = "Description")
    protected String description;

    /**
     * Gets the value of the identifier property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdentifier() {
        return identifier;
    }

    /**
     * Sets the value of the identifier property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdentifier(String value) {
        this.identifier = value;
    }

    /**
     * Gets the value of the nationalIdentifierNature property.
     * 
     * @return
     *     possible object is
     *     {@link NationalIdentifierNatureType }
     *     
     */
    public NationalIdentifierNatureType getNationalIdentifierNature() {
        return nationalIdentifierNature;
    }

    /**
     * Sets the value of the nationalIdentifierNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link NationalIdentifierNatureType }
     *     
     */
    public void setNationalIdentifierNature(NationalIdentifierNatureType value) {
        this.nationalIdentifierNature = value;
    }

    /**
     * Gets the value of the country property.
     * 
     * @return
     *     possible object is
     *     {@link ISO3166CountryCode }
     *     
     */
    public ISO3166CountryCode getCountry() {
        return country;
    }

    /**
     * Sets the value of the country property.
     * 
     * @param value
     *     allowed object is
     *     {@link ISO3166CountryCode }
     *     
     */
    public void setCountry(ISO3166CountryCode value) {
        this.country = value;
    }

    /**
     * Gets the value of the dateFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateFrom() {
        return dateFrom;
    }

    /**
     * Sets the value of the dateFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateFrom(XMLGregorianCalendar value) {
        this.dateFrom = value;
    }

    /**
     * Gets the value of the dateTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTo() {
        return dateTo;
    }

    /**
     * Sets the value of the dateTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTo(XMLGregorianCalendar value) {
        this.dateTo = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

}
