
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrganisationSanctionNatureType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="OrganisationSanctionNatureType">
 *   &lt;restriction base="{http://fifa.com/fc}String">
 *     &lt;enumeration value="Warning"/>
 *     &lt;enumeration value="Reprimand"/>
 *     &lt;enumeration value="Fine"/>
 *     &lt;enumeration value="ReturnOfAwards"/>
 *     &lt;enumeration value="TransferBan"/>
 *     &lt;enumeration value="PlayingWithoutSpectators"/>
 *     &lt;enumeration value="PlayingNeutralTeritory"/>
 *     &lt;enumeration value="BanStadium"/>
 *     &lt;enumeration value="AnnulmentOfMatch"/>
 *     &lt;enumeration value="Expulsion"/>
 *     &lt;enumeration value="Forfeit"/>
 *     &lt;enumeration value="DeductionOfPoints"/>
 *     &lt;enumeration value="RelegationToLowerDivision"/>
 *     &lt;enumeration value="Other"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "OrganisationSanctionNatureType")
@XmlEnum
public enum OrganisationSanctionNatureType {

    @XmlEnumValue("Warning")
    WARNING("Warning"),
    @XmlEnumValue("Reprimand")
    REPRIMAND("Reprimand"),
    @XmlEnumValue("Fine")
    FINE("Fine"),
    @XmlEnumValue("ReturnOfAwards")
    RETURN_OF_AWARDS("ReturnOfAwards"),
    @XmlEnumValue("TransferBan")
    TRANSFER_BAN("TransferBan"),

    /**
     * playing a match without spectators
     * 
     */
    @XmlEnumValue("PlayingWithoutSpectators")
    PLAYING_WITHOUT_SPECTATORS("PlayingWithoutSpectators"),

    /**
     * playing a match on neutral territory
     * 
     */
    @XmlEnumValue("PlayingNeutralTeritory")
    PLAYING_NEUTRAL_TERITORY("PlayingNeutralTeritory"),

    /**
     * ban on playing in a particular stadium
     * 
     */
    @XmlEnumValue("BanStadium")
    BAN_STADIUM("BanStadium"),

    /**
     * annulment of the result of a match
     * 
     */
    @XmlEnumValue("AnnulmentOfMatch")
    ANNULMENT_OF_MATCH("AnnulmentOfMatch"),
    @XmlEnumValue("Expulsion")
    EXPULSION("Expulsion"),
    @XmlEnumValue("Forfeit")
    FORFEIT("Forfeit"),
    @XmlEnumValue("DeductionOfPoints")
    DEDUCTION_OF_POINTS("DeductionOfPoints"),
    @XmlEnumValue("RelegationToLowerDivision")
    RELEGATION_TO_LOWER_DIVISION("RelegationToLowerDivision"),
    @XmlEnumValue("Other")
    OTHER("Other");
    private final String value;

    OrganisationSanctionNatureType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static OrganisationSanctionNatureType fromValue(String v) {
        for (OrganisationSanctionNatureType c: OrganisationSanctionNatureType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
