
package com.fifa.fc;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * This represents a generic organisation and its attributes. Various types of football organisations belong to this type: FIFA, member associations, Clubs etc. Organisations may be parts/members of other organisations. In these cases an organisation has a parent organisation. The FIFA is for example the parent organisation of the DFB.
 * 
 * <p>Java class for OrganisationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrganisationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="NationalIdentifier" type="{http://fifa.com/fc}NationalIdentifierType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="LocalOrganisationName" type="{http://fifa.com/fc}LocalNameType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="SupportedDiscipline" type="{http://fifa.com/fc}SupportedDisciplineType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="OfficialAddress" type="{http://fifa.com/fc}AddressType"/>
 *         &lt;element name="WebAddress" type="{http://fifa.com/fc}WebAddressType" minOccurs="0"/>
 *         &lt;element name="Email" type="{http://fifa.com/fc}EmailAddressType" minOccurs="0"/>
 *         &lt;element name="Phone" type="{http://fifa.com/fc}PhoneNumberType" minOccurs="0"/>
 *         &lt;element name="Fax" type="{http://fifa.com/fc}PhoneNumberType" minOccurs="0"/>
 *         &lt;element name="Logo" type="{http://fifa.com/fc}PictureType" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="OrganisationFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}SimpleStatusType" />
 *       &lt;attribute name="InternationalName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="InternationalShortName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="OrganisationNature" use="required" type="{http://fifa.com/fc}OrganisationNatureType" />
 *       &lt;attribute name="FoundationDate" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="DissolutionDate" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="ParentOrganisationFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrganisationType", propOrder = {
    "nationalIdentifiers",
    "localOrganisationNames",
    "supportedDisciplines",
    "officialAddress",
    "webAddress",
    "email",
    "phone",
    "fax",
    "logo"
})
@XmlSeeAlso({
    OrganisationLocal.class
})
public class OrganisationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "NationalIdentifier")
    protected List<NationalIdentifierType> nationalIdentifiers;
    @XmlElement(name = "LocalOrganisationName")
    protected List<LocalNameType> localOrganisationNames;
    @XmlElement(name = "SupportedDiscipline", nillable = true)
    protected List<SupportedDisciplineType> supportedDisciplines;
    @XmlElement(name = "OfficialAddress", required = true)
    protected AddressType officialAddress;
    @XmlElement(name = "WebAddress")
    protected String webAddress;
    @XmlElement(name = "Email")
    protected String email;
    @XmlElement(name = "Phone")
    protected String phone;
    @XmlElement(name = "Fax")
    protected String fax;
    @XmlElement(name = "Logo")
    protected PictureType logo;
    @XmlAttribute(name = "OrganisationFIFAId")
    protected String organisationFIFAId;
    @XmlAttribute(name = "Status", required = true)
    protected SimpleStatusType status;
    @XmlAttribute(name = "InternationalName")
    protected String internationalName;
    @XmlAttribute(name = "InternationalShortName")
    protected String internationalShortName;
    @XmlAttribute(name = "OrganisationNature", required = true)
    protected OrganisationNatureType organisationNature;
    @XmlAttribute(name = "FoundationDate")
    protected XMLGregorianCalendar foundationDate;
    @XmlAttribute(name = "DissolutionDate")
    protected XMLGregorianCalendar dissolutionDate;
    @XmlAttribute(name = "ParentOrganisationFIFAId")
    protected String parentOrganisationFIFAId;

    /**
     * Gets the value of the nationalIdentifiers property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nationalIdentifiers property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNationalIdentifiers().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link NationalIdentifierType }
     * 
     * 
     */
    public List<NationalIdentifierType> getNationalIdentifiers() {
        if (nationalIdentifiers == null) {
            nationalIdentifiers = new ArrayList<NationalIdentifierType>();
        }
        return this.nationalIdentifiers;
    }

    /**
     * Gets the value of the localOrganisationNames property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the localOrganisationNames property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLocalOrganisationNames().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link LocalNameType }
     * 
     * 
     */
    public List<LocalNameType> getLocalOrganisationNames() {
        if (localOrganisationNames == null) {
            localOrganisationNames = new ArrayList<LocalNameType>();
        }
        return this.localOrganisationNames;
    }

    /**
     * Gets the value of the supportedDisciplines property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the supportedDisciplines property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSupportedDisciplines().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SupportedDisciplineType }
     * 
     * 
     */
    public List<SupportedDisciplineType> getSupportedDisciplines() {
        if (supportedDisciplines == null) {
            supportedDisciplines = new ArrayList<SupportedDisciplineType>();
        }
        return this.supportedDisciplines;
    }

    /**
     * Gets the value of the officialAddress property.
     * 
     * @return
     *     possible object is
     *     {@link AddressType }
     *     
     */
    public AddressType getOfficialAddress() {
        return officialAddress;
    }

    /**
     * Sets the value of the officialAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link AddressType }
     *     
     */
    public void setOfficialAddress(AddressType value) {
        this.officialAddress = value;
    }

    /**
     * Gets the value of the webAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWebAddress() {
        return webAddress;
    }

    /**
     * Sets the value of the webAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWebAddress(String value) {
        this.webAddress = value;
    }

    /**
     * Gets the value of the email property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEmail() {
        return email;
    }

    /**
     * Sets the value of the email property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEmail(String value) {
        this.email = value;
    }

    /**
     * Gets the value of the phone property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhone() {
        return phone;
    }

    /**
     * Sets the value of the phone property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhone(String value) {
        this.phone = value;
    }

    /**
     * Gets the value of the fax property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFax() {
        return fax;
    }

    /**
     * Sets the value of the fax property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFax(String value) {
        this.fax = value;
    }

    /**
     * Gets the value of the logo property.
     * 
     * @return
     *     possible object is
     *     {@link PictureType }
     *     
     */
    public PictureType getLogo() {
        return logo;
    }

    /**
     * Sets the value of the logo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PictureType }
     *     
     */
    public void setLogo(PictureType value) {
        this.logo = value;
    }

    /**
     * Gets the value of the organisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationFIFAId() {
        return organisationFIFAId;
    }

    /**
     * Sets the value of the organisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationFIFAId(String value) {
        this.organisationFIFAId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleStatusType }
     *     
     */
    public SimpleStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleStatusType }
     *     
     */
    public void setStatus(SimpleStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the internationalName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalName() {
        return internationalName;
    }

    /**
     * Sets the value of the internationalName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalName(String value) {
        this.internationalName = value;
    }

    /**
     * Gets the value of the internationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInternationalShortName() {
        return internationalShortName;
    }

    /**
     * Sets the value of the internationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInternationalShortName(String value) {
        this.internationalShortName = value;
    }

    /**
     * Gets the value of the organisationNature property.
     * 
     * @return
     *     possible object is
     *     {@link OrganisationNatureType }
     *     
     */
    public OrganisationNatureType getOrganisationNature() {
        return organisationNature;
    }

    /**
     * Sets the value of the organisationNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrganisationNatureType }
     *     
     */
    public void setOrganisationNature(OrganisationNatureType value) {
        this.organisationNature = value;
    }

    /**
     * Gets the value of the foundationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getFoundationDate() {
        return foundationDate;
    }

    /**
     * Sets the value of the foundationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setFoundationDate(XMLGregorianCalendar value) {
        this.foundationDate = value;
    }

    /**
     * Gets the value of the dissolutionDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDissolutionDate() {
        return dissolutionDate;
    }

    /**
     * Sets the value of the dissolutionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDissolutionDate(XMLGregorianCalendar value) {
        this.dissolutionDate = value;
    }

    /**
     * Gets the value of the parentOrganisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getParentOrganisationFIFAId() {
        return parentOrganisationFIFAId;
    }

    /**
     * Sets the value of the parentOrganisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setParentOrganisationFIFAId(String value) {
        this.parentOrganisationFIFAId = value;
    }

}
