
package com.fifa.fc;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for PlayerRegistrationNatureType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="PlayerRegistrationNatureType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Registration"/>
 *     &lt;enumeration value="Loan"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "PlayerRegistrationNatureType")
@XmlEnum
public enum PlayerRegistrationNatureType {


    /**
     * The standard registration of a player. In this type, the player is registered for her/his primary club, and is not loaned to any other club. This type is of permanent nature, i.e. in most scenarios the player registration is not time limited. This is the default and most common registration type.
     * 
     */
    @XmlEnumValue("Registration")
    REGISTRATION("Registration"),

    /**
     * The registration of a player loaned to a club. In this type, the player is registered for the club that has accepted the player on a loan basis. This type is of temporary nature, i.e. the player is usually loaned for a period of 6 or 12 months. In this period, the club retains a contractual relationship with her/his primary club, without eligibility to play for the primary club.
     * 
     */
    @XmlEnumValue("Loan")
    LOAN("Loan");
    private final String value;

    PlayerRegistrationNatureType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PlayerRegistrationNatureType fromValue(String v) {
        for (PlayerRegistrationNatureType c: PlayerRegistrationNatureType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
