
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * This represents a player registration and its attributes. A player registration is assigned to a person. A player registration marks a person as a player for a club and the given validity period.
 * 
 * <p>Java class for PlayerRegistrationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PlayerRegistrationType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://fifa.com/fc}RegistrationType">
 *       &lt;attribute name="Level" use="required" type="{http://fifa.com/fc}RegistrationLevelType" />
 *       &lt;attribute name="Discipline" use="required" type="{http://fifa.com/fc}DisciplineType" />
 *       &lt;attribute name="RegistrationNature" use="required" type="{http://fifa.com/fc}PlayerRegistrationNatureType" />
 *       &lt;attribute name="ClubTrainingCategory" type="{http://fifa.com/fc}ClubTrainingCategoryType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PlayerRegistrationType")
public class PlayerRegistrationType
    extends RegistrationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "Level", required = true)
    protected RegistrationLevelType level;
    @XmlAttribute(name = "Discipline", required = true)
    protected DisciplineType discipline;
    @XmlAttribute(name = "RegistrationNature", required = true)
    protected PlayerRegistrationNatureType registrationNature;
    @XmlAttribute(name = "ClubTrainingCategory")
    protected ClubTrainingCategoryType clubTrainingCategory;

    /**
     * Gets the value of the level property.
     * 
     * @return
     *     possible object is
     *     {@link RegistrationLevelType }
     *     
     */
    public RegistrationLevelType getLevel() {
        return level;
    }

    /**
     * Sets the value of the level property.
     * 
     * @param value
     *     allowed object is
     *     {@link RegistrationLevelType }
     *     
     */
    public void setLevel(RegistrationLevelType value) {
        this.level = value;
    }

    /**
     * Gets the value of the discipline property.
     * 
     * @return
     *     possible object is
     *     {@link DisciplineType }
     *     
     */
    public DisciplineType getDiscipline() {
        return discipline;
    }

    /**
     * Sets the value of the discipline property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisciplineType }
     *     
     */
    public void setDiscipline(DisciplineType value) {
        this.discipline = value;
    }

    /**
     * Gets the value of the registrationNature property.
     * 
     * @return
     *     possible object is
     *     {@link PlayerRegistrationNatureType }
     *     
     */
    public PlayerRegistrationNatureType getRegistrationNature() {
        return registrationNature;
    }

    /**
     * Sets the value of the registrationNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link PlayerRegistrationNatureType }
     *     
     */
    public void setRegistrationNature(PlayerRegistrationNatureType value) {
        this.registrationNature = value;
    }

    /**
     * Gets the value of the clubTrainingCategory property.
     * 
     * @return
     *     possible object is
     *     {@link ClubTrainingCategoryType }
     *     
     */
    public ClubTrainingCategoryType getClubTrainingCategory() {
        return clubTrainingCategory;
    }

    /**
     * Sets the value of the clubTrainingCategory property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClubTrainingCategoryType }
     *     
     */
    public void setClubTrainingCategory(ClubTrainingCategoryType value) {
        this.clubTrainingCategory = value;
    }

}
