
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * This represents a generic person registration and its attributes. A person registration is assigned to a person. A person registration marks a person for an organisation and the given validity period. 
 * 		
 * 
 * <p>Java class for RegistrationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RegistrationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="PersonFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}SimpleStatusType" />
 *       &lt;attribute name="OrganisationFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="RegistrationValidFrom" use="required" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="RegistrationValidTo" type="{http://fifa.com/fc}Date" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RegistrationType")
@XmlSeeAlso({
    PlayerRegistrationType.class,
    TeamOfficialRegistrationType.class,
    MatchOfficialRegistrationType.class,
    OrganisationOfficialRegistrationType.class
})
public class RegistrationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "PersonFIFAId", required = true)
    protected String personFIFAId;
    @XmlAttribute(name = "Status", required = true)
    protected SimpleStatusType status;
    @XmlAttribute(name = "OrganisationFIFAId", required = true)
    protected String organisationFIFAId;
    @XmlAttribute(name = "RegistrationValidFrom", required = true)
    protected XMLGregorianCalendar registrationValidFrom;
    @XmlAttribute(name = "RegistrationValidTo")
    protected XMLGregorianCalendar registrationValidTo;

    /**
     * Gets the value of the personFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPersonFIFAId() {
        return personFIFAId;
    }

    /**
     * Sets the value of the personFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPersonFIFAId(String value) {
        this.personFIFAId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleStatusType }
     *     
     */
    public SimpleStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleStatusType }
     *     
     */
    public void setStatus(SimpleStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the organisationFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrganisationFIFAId() {
        return organisationFIFAId;
    }

    /**
     * Sets the value of the organisationFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrganisationFIFAId(String value) {
        this.organisationFIFAId = value;
    }

    /**
     * Gets the value of the registrationValidFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRegistrationValidFrom() {
        return registrationValidFrom;
    }

    /**
     * Sets the value of the registrationValidFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRegistrationValidFrom(XMLGregorianCalendar value) {
        this.registrationValidFrom = value;
    }

    /**
     * Gets the value of the registrationValidTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getRegistrationValidTo() {
        return registrationValidTo;
    }

    /**
     * Sets the value of the registrationValidTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setRegistrationValidTo(XMLGregorianCalendar value) {
        this.registrationValidTo = value;
    }

}
