
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The type contains all the information about a sanction against person or organisation.
 * 
 * <p>Java class for SanctionType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SanctionType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element name="PersonSanctionNature" type="{http://fifa.com/fc}PersonSanctionNatureType"/>
 *         &lt;element name="OrganisationSanctionNature" type="{http://fifa.com/fc}OrganisationSanctionNatureType"/>
 *       &lt;/choice>
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}SimpleStatusType" />
 *       &lt;attribute name="Value" type="{http://www.w3.org/2001/XMLSchema}double" />
 *       &lt;attribute name="Measure" type="{http://fifa.com/fc}SanctionMeasureType" />
 *       &lt;attribute name="Currency" type="{http://fifa.com/fc}ISO4217CurrencyCode" />
 *       &lt;attribute name="ValueServed" type="{http://www.w3.org/2001/XMLSchema}double" />
 *       &lt;attribute name="DateFrom" type="{http://fifa.com/fc}Date" />
 *       &lt;attribute name="DateTo" type="{http://fifa.com/fc}Date" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SanctionType", propOrder = {
    "organisationSanctionNature",
    "personSanctionNature"
})
public class SanctionType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlElement(name = "OrganisationSanctionNature")
    protected OrganisationSanctionNatureType organisationSanctionNature;
    @XmlElement(name = "PersonSanctionNature")
    protected PersonSanctionNatureType personSanctionNature;
    @XmlAttribute(name = "Status", required = true)
    protected SimpleStatusType status;
    @XmlAttribute(name = "Value")
    protected Double value;
    @XmlAttribute(name = "Measure")
    protected SanctionMeasureType measure;
    @XmlAttribute(name = "Currency")
    protected ISO4217CurrencyCode currency;
    @XmlAttribute(name = "ValueServed")
    protected Double valueServed;
    @XmlAttribute(name = "DateFrom")
    protected XMLGregorianCalendar dateFrom;
    @XmlAttribute(name = "DateTo")
    protected XMLGregorianCalendar dateTo;

    /**
     * Gets the value of the organisationSanctionNature property.
     * 
     * @return
     *     possible object is
     *     {@link OrganisationSanctionNatureType }
     *     
     */
    public OrganisationSanctionNatureType getOrganisationSanctionNature() {
        return organisationSanctionNature;
    }

    /**
     * Sets the value of the organisationSanctionNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrganisationSanctionNatureType }
     *     
     */
    public void setOrganisationSanctionNature(OrganisationSanctionNatureType value) {
        this.organisationSanctionNature = value;
    }

    /**
     * Gets the value of the personSanctionNature property.
     * 
     * @return
     *     possible object is
     *     {@link PersonSanctionNatureType }
     *     
     */
    public PersonSanctionNatureType getPersonSanctionNature() {
        return personSanctionNature;
    }

    /**
     * Sets the value of the personSanctionNature property.
     * 
     * @param value
     *     allowed object is
     *     {@link PersonSanctionNatureType }
     *     
     */
    public void setPersonSanctionNature(PersonSanctionNatureType value) {
        this.personSanctionNature = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link SimpleStatusType }
     *     
     */
    public SimpleStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link SimpleStatusType }
     *     
     */
    public void setStatus(SimpleStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setValue(Double value) {
        this.value = value;
    }

    /**
     * Gets the value of the measure property.
     * 
     * @return
     *     possible object is
     *     {@link SanctionMeasureType }
     *     
     */
    public SanctionMeasureType getMeasure() {
        return measure;
    }

    /**
     * Sets the value of the measure property.
     * 
     * @param value
     *     allowed object is
     *     {@link SanctionMeasureType }
     *     
     */
    public void setMeasure(SanctionMeasureType value) {
        this.measure = value;
    }

    /**
     * Gets the value of the currency property.
     * 
     * @return
     *     possible object is
     *     {@link ISO4217CurrencyCode }
     *     
     */
    public ISO4217CurrencyCode getCurrency() {
        return currency;
    }

    /**
     * Sets the value of the currency property.
     * 
     * @param value
     *     allowed object is
     *     {@link ISO4217CurrencyCode }
     *     
     */
    public void setCurrency(ISO4217CurrencyCode value) {
        this.currency = value;
    }

    /**
     * Gets the value of the valueServed property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getValueServed() {
        return valueServed;
    }

    /**
     * Sets the value of the valueServed property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setValueServed(Double value) {
        this.valueServed = value;
    }

    /**
     * Gets the value of the dateFrom property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateFrom() {
        return dateFrom;
    }

    /**
     * Sets the value of the dateFrom property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateFrom(XMLGregorianCalendar value) {
        this.dateFrom = value;
    }

    /**
     * Gets the value of the dateTo property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTo() {
        return dateTo;
    }

    /**
     * Sets the value of the dateTo property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTo(XMLGregorianCalendar value) {
        this.dateTo = value;
    }

}
