
package com.fifa.fc;

import java.io.Serializable;
import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The match type that contains just simple information. It is used on a competition to define a match.
 * 
 * <p>Java class for SimpleMatchInternationalType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SimpleMatchInternationalType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attribute name="MatchFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="Status" use="required" type="{http://fifa.com/fc}MatchStatusType" />
 *       &lt;attribute name="DateTimeLocal" type="{http://fifa.com/fc}DateTime" />
 *       &lt;attribute name="Matchday" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="FacilityInternationalShortName" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="FacilityFIFAId" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="HomeTeamInternationalShortName" use="required" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="HomeTeamFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="AwayTeamInternationalShortName" use="required" type="{http://fifa.com/fc}String" />
 *       &lt;attribute name="AwayTeamFIFAId" use="required" type="{http://fifa.com/fc}FIFAIdentifier" />
 *       &lt;attribute name="HomeFinalResult" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="AwayFinalResult" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SimpleMatchInternationalType")
public class SimpleMatchInternationalType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "MatchFIFAId", required = true)
    protected String matchFIFAId;
    @XmlAttribute(name = "Status", required = true)
    protected MatchStatusType status;
    @XmlAttribute(name = "DateTimeLocal")
    protected XMLGregorianCalendar dateTimeLocal;
    @XmlAttribute(name = "Matchday")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger matchday;
    @XmlAttribute(name = "FacilityInternationalShortName")
    protected String facilityInternationalShortName;
    @XmlAttribute(name = "FacilityFIFAId")
    protected String facilityFIFAId;
    @XmlAttribute(name = "HomeTeamInternationalShortName", required = true)
    protected String homeTeamInternationalShortName;
    @XmlAttribute(name = "HomeTeamFIFAId", required = true)
    protected String homeTeamFIFAId;
    @XmlAttribute(name = "AwayTeamInternationalShortName", required = true)
    protected String awayTeamInternationalShortName;
    @XmlAttribute(name = "AwayTeamFIFAId", required = true)
    protected String awayTeamFIFAId;
    @XmlAttribute(name = "HomeFinalResult")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger homeFinalResult;
    @XmlAttribute(name = "AwayFinalResult")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger awayFinalResult;

    /**
     * Gets the value of the matchFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMatchFIFAId() {
        return matchFIFAId;
    }

    /**
     * Sets the value of the matchFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMatchFIFAId(String value) {
        this.matchFIFAId = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link MatchStatusType }
     *     
     */
    public MatchStatusType getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link MatchStatusType }
     *     
     */
    public void setStatus(MatchStatusType value) {
        this.status = value;
    }

    /**
     * Gets the value of the dateTimeLocal property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateTimeLocal() {
        return dateTimeLocal;
    }

    /**
     * Sets the value of the dateTimeLocal property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateTimeLocal(XMLGregorianCalendar value) {
        this.dateTimeLocal = value;
    }

    /**
     * Gets the value of the matchday property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMatchday() {
        return matchday;
    }

    /**
     * Sets the value of the matchday property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMatchday(BigInteger value) {
        this.matchday = value;
    }

    /**
     * Gets the value of the facilityInternationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFacilityInternationalShortName() {
        return facilityInternationalShortName;
    }

    /**
     * Sets the value of the facilityInternationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFacilityInternationalShortName(String value) {
        this.facilityInternationalShortName = value;
    }

    /**
     * Gets the value of the facilityFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFacilityFIFAId() {
        return facilityFIFAId;
    }

    /**
     * Sets the value of the facilityFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFacilityFIFAId(String value) {
        this.facilityFIFAId = value;
    }

    /**
     * Gets the value of the homeTeamInternationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHomeTeamInternationalShortName() {
        return homeTeamInternationalShortName;
    }

    /**
     * Sets the value of the homeTeamInternationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHomeTeamInternationalShortName(String value) {
        this.homeTeamInternationalShortName = value;
    }

    /**
     * Gets the value of the homeTeamFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHomeTeamFIFAId() {
        return homeTeamFIFAId;
    }

    /**
     * Sets the value of the homeTeamFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHomeTeamFIFAId(String value) {
        this.homeTeamFIFAId = value;
    }

    /**
     * Gets the value of the awayTeamInternationalShortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAwayTeamInternationalShortName() {
        return awayTeamInternationalShortName;
    }

    /**
     * Sets the value of the awayTeamInternationalShortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAwayTeamInternationalShortName(String value) {
        this.awayTeamInternationalShortName = value;
    }

    /**
     * Gets the value of the awayTeamFIFAId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAwayTeamFIFAId() {
        return awayTeamFIFAId;
    }

    /**
     * Sets the value of the awayTeamFIFAId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAwayTeamFIFAId(String value) {
        this.awayTeamFIFAId = value;
    }

    /**
     * Gets the value of the homeFinalResult property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getHomeFinalResult() {
        return homeFinalResult;
    }

    /**
     * Sets the value of the homeFinalResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setHomeFinalResult(BigInteger value) {
        this.homeFinalResult = value;
    }

    /**
     * Gets the value of the awayFinalResult property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getAwayFinalResult() {
        return awayFinalResult;
    }

    /**
     * Sets the value of the awayFinalResult property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setAwayFinalResult(BigInteger value) {
        this.awayFinalResult = value;
    }

}
