
package com.fifa.fc;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * This represents a team official registration (e.g. Coach) and its attributes. A team official registration is assigned to a person. A team official registration marks a person as a team official for an organisation and the given validity period.
 * 
 * <p>Java class for TeamOfficialRegistrationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TeamOfficialRegistrationType">
 *   &lt;complexContent>
 *     &lt;extension base="{http://fifa.com/fc}RegistrationType">
 *       &lt;attribute name="TeamOfficialRole" use="required" type="{http://fifa.com/fc}TeamOfficialRoleType" />
 *       &lt;attribute name="Discipline" use="required" type="{http://fifa.com/fc}DisciplineType" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TeamOfficialRegistrationType")
public class TeamOfficialRegistrationType
    extends RegistrationType
    implements Serializable
{

    private final static long serialVersionUID = 1L;
    @XmlAttribute(name = "TeamOfficialRole", required = true)
    protected TeamOfficialRoleType teamOfficialRole;
    @XmlAttribute(name = "Discipline", required = true)
    protected DisciplineType discipline;

    /**
     * Gets the value of the teamOfficialRole property.
     * 
     * @return
     *     possible object is
     *     {@link TeamOfficialRoleType }
     *     
     */
    public TeamOfficialRoleType getTeamOfficialRole() {
        return teamOfficialRole;
    }

    /**
     * Sets the value of the teamOfficialRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link TeamOfficialRoleType }
     *     
     */
    public void setTeamOfficialRole(TeamOfficialRoleType value) {
        this.teamOfficialRole = value;
    }

    /**
     * Gets the value of the discipline property.
     * 
     * @return
     *     possible object is
     *     {@link DisciplineType }
     *     
     */
    public DisciplineType getDiscipline() {
        return discipline;
    }

    /**
     * Sets the value of the discipline property.
     * 
     * @param value
     *     allowed object is
     *     {@link DisciplineType }
     *     
     */
    public void setDiscipline(DisciplineType value) {
        this.discipline = value;
    }

}
